Page offset of results to return
Entitlements Overview (1.0)
The Entitlements Engine is powered by the isEntitledTo query and is designed to manage and control user access within your application. It enables you to grant users specific roles, permissions, feature access, and more, providing a flexible framework for access management.
Below is an overview of API endpoints relevant to managing features, plans, feature flags, and API access control within your application. All endpoints are classified as Management Endpoints, requiring environment-level authorization and offering comprehensive control over entitlement resources.
Request
Retrieve a paginated list of entitlements with sorting and filtering capabilities. Sort by expiration date (expirationDate) or creation date (createdAt), filter by plan IDs (planId, planIds), assign level (assignLevel) for user or account, user IDs (userIds), or account (tenant) IDs (tenantIds), and optionally include related entities (withRelations).
Sort type, ASC for ascending, DESC for descending
UUID string representing the plan ID
UUIDs string array representing the plan IDs
Assign level, USER for user-level entitlements, TENANT for tenant-level entitlements
Field to order results by date (createdAt) or expiration date (expirationDate)
Comma separated user IDs to filter results by
Comma separated account (tenant) IDs to filter results by
- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X GET \
https://api.frontegg.com/entitlements/resources/entitlements/v2 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "items": [ { … } ], "hasNext": true }
UUID string that represents the plan ID
UUID string that represents the account (tenant) ID
- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X POST \
https://api.frontegg.com/entitlements/resources/entitlements/v2 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"planId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"tenantId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"userId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"expirationDate": "2022-01-01T12:00:00"
}'UUID string that represents the entitlement ID
UUID string that represents the plan ID
UUID string that represents the account (tenant) ID
UUID string that represents the plan ID
UUID string that represents the vendor ID
Number that represents the default time limitation in days for auto-assigned plans
{ "id": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "planId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "tenantId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "userId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "expirationDate": "2022-01-01T12:00:00", "createdAt": "2022-01-01T12:00:00", "updatedAt": "2022-01-01T12:00:00", "plan": { "id": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "vendorId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3", "name": "Test Plan", "defaultTimeLimitation": "30", "description": "This is a test plan", "createdAt": "2022-01-01T00:00:00", "updatedAt": "2022-01-01T00:00:00" } }
Array of entitlements to create
UUID string that represents the plan ID
UUID string that represents the account (tenant) ID
UUID string that represents the user ID
- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2/batch
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2/batch
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2/batch
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2/batch
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2/batch
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X POST \
https://api.frontegg.com/entitlements/resources/entitlements/v2/batch \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"entitlements": [
{
"planId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"tenantId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"userId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"expirationDate": "2022-01-01T12:00:00"
}
]
}'{ "entitlementIds": [ "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" ] }